## setedit-0.5.8p.tar.bz2

=== setedit/WinNT/Makefile ===
#
#  This makefile is deprecated, you should use it only if the "new" mechanism
#  fails. Please read the INSTALL.txt instructions.
#  If you must use this file please report it.
#
DEST_BIN_DIR = c:\setedit
DEST_SET_DIR = c:\setedit

TV_LIB   = ..\..\tvision\winnt\rhtv.lib



all: setedit.exe

# Borland C++

CC       = bcc32
LD       = bcc32
CXX      = $(CC)
INC      = -I.\include -I..\include

!ifdef DEBUG
CDEBUGFLAGS = -v -vi -y -6 -Od
!else
CDEBUGFLAGS = -O2 -6 -T -DNDEBUG
!endif

!ifdef DYNRTL
DYNRTLDFLAGS = -WR
!endif

CFLAGS   = -D_BCPP -w-aus -w-ccc -a8 $(DYNRTLDFLAGS) -WC -X -q $(CDEBUGFLAGS) \
	-D__inline__=inline -DFOR_EDITOR
# Note: rch == Unreachable code. BC++ 5.5 is idiot to detect code that is
#              disabled on purpose. i.e. if (0) ...
CXXFLAGS = -P -RT- -w-hid -w-par -w-rch $(CFLAGS)
LDFLAGS  = $(DYNRTLDFLAGS) -WC

INC      = -I. -I.\inc -I..\..\tvision\winnt\include -I..\..\tvision\include \
	-I..\include -I..\setedit\include -I..\settvuti\include -I..\easydiag \
	-I..\infview\include -I..\librhuti -I..\sdg\include -I..\mp3 -I..\extra \
	-I..\calcu -I..\libz -I..\libpcre -I..\libbzip2 -I..\holidays

{..\setedit}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\setedit\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\names}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\librhuti}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\easydiag}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\infview}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\infview\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\infview\names}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\calcu}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\settvuti}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\settvuti\streams}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\settvuti\names}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\sdg}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\extra}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\mp3}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<
{..\mainsrc}.cc{objs}.obj:
	$(CXX) -c $(CXXFLAGS) $(INC) -nobjs $<

{..\mainsrc}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<
{..\calcu}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<
{..\extra}.c{objs}.obj:
	$(CC) -c $(CFLAGS) $(INC) -nobjs $<
	
objs\edspecs.obj: ..\mainsrc\edspecs.cc
objs\bufun.obj: ..\mainsrc\bufun.cc

EDITOR_OBJS_ =  +accehtml.obj +advice.obj +ampdiag.obj +intermp3.obj +mp3list.obj +mp3play.obj\
	+ascii.obj +boardmix.obj +bufun.obj +calcu.obj +calendar.obj +ceditor.obj +codepage.obj\
	+completi.obj +debug.obj +deedidia.obj +doedidia.obj +dskascii.obj +dskcalen.obj\
	+dskclip.obj +dskclose.obj +dskedito.obj +dskhelp.obj +dskman.obj +dskmessa.obj\
	+dskmp3.obj +dskwin.obj +dstfile.obj +dumpfile.obj +edcolor.obj +edconst.obj +edfonts.obj\
	+editdiag.obj +editmain.obj +editmenu.obj +editorfo.obj +editpale.obj +editwind.obj\
	+edkeys.obj +edmsg.obj +edprefs.obj +edprint.obj +edprj.obj +edspecs.obj \
	+dyncat.obj  +mixer.obj   +stackdbg.obj +strncpyz.obj\
	+strndup.obj +fstrcmp.obj +getctxhl.obj +gzfiles.obj +holidays.obj +inf.obj +infbase.obj\
	+manview.obj +nhiscoll.obj +ninfview.obj +ninfwind.obj +nmanwind.obj +sinf.obj +sman.obj\
	+intgrep.obj +keytrans.obj +linelen.obj +loadcle.obj +loaddefl.obj +loadfunc.obj\
	+loadnobkp.obj +loadshl.obj +loadusew.obj +macrocom.obj +menuload.obj +mli.obj\
	+mliasimp.obj +mlicsdg.obj +mliediti.obj +mliedito.obj +mlisdg.obj +msignal.obj\
	+nceditor.obj +ndskwasc.obj +ndskwcal.obj +ndskwcli.obj +ndskwclo.obj +ndskwedi.obj\
	+ndskwhel.obj +ndskwman.obj +ndskwmes.obj +ndskwmp3.obj +ndskwprj.obj +neditwin.obj\
	+nfileedi.obj +nsindica.obj +ntedcol.obj +parser.obj +pathlist.obj +pathtool.obj\
	+pclipper.obj +pmacros.obj +pperl.obj +pphp.obj +ppython.obj +pvarious.obj +pvhdl.obj\
	+runprog.obj +sceditor.obj +scresave.obj +sdginter.obj +sdskasci.obj +sdskcale.obj\
	+sdskclip.obj +sdskclos.obj +sdskedit.obj +sdskhelp.obj +sdskman.obj +sdskmess.obj\
	+sdskmp3.obj +sdskprj.obj +search.obj +sedcolle.obj +slpinter.obj +splinman.obj\
	+ssindica.obj +ssyntax.obj +tags.obj +tedcolle.obj +tips.obj +tpaltext.obj +tsindica.obj\
	+txhgen.obj +winlistd.obj  +lablchek.obj +lablradi.obj +snostate.obj +tcheck2.obj\
	+tmiclust.obj +tsbutton.obj +tschkarr.obj +tschkbox.obj +tshscrol.obj +tshzgrp.obj\
	+tsinplin.obj +tsinplpi.obj +tslabel.obj +tslider.obj +tslistbo.obj +tsradbot.obj\
	+tssortlb.obj +tssosslb.obj +tstatext.obj +tstextsc.obj +tstsorlb.obj +tsvegrp.obj\
	+tsview.obj +tsviewco.obj +ttextscr.obj  +diaghelp.obj +dktclock.obj +fileopen.obj\
	+fiopeaid.obj +inputsca.obj +ninputsc.obj +nostatex.obj +nprogbar.obj +nprogres.obj\
	+ntnocast.obj +ntnosost.obj +setstack.obj +sprogbar.obj +sprogres.obj +stnocast.obj\
	+stnonost.obj +tdiagaid.obj +tdiagrow.obj +tinppipe.obj +tnocastc.obj +tnosostr.obj\
	+tprogbar.obj +tprogdia.obj +tprogrdi.obj +tprogres.obj +tstrlbox.obj +uisarray.obj\
	+ussarray.obj +viewplus.obj  +abstorel.obj +back2sl.obj +basename.obj +fexpand.obj +io.obj\
	+specs.obj +splitfn.obj +stricat.obj +stridown.obj +stridup.obj +strifree.obj
EDITOR_OBJS = $(EDITOR_OBJS_:+=objs\)

EXTRA_LIBS = ..\libz\zlib.lib ..\libpcre\pcre.lib ..\libbzip2\bzip2.lib

EXTRALIB_MAKE_ARGS = _SUBMAKE=1 CC="$(CC)" LD="$(LD)" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" -f Makefile.bcc

libs: $(EXTRA_LIBS)

..\libz\zlib.lib:
	cd ..\libz
	$(MAKE) $(EXTRALIB_MAKE_ARGS)
	cd ..\winnt
	
..\libpcre\pcre.lib:
	cd ..\libpcre
	$(MAKE) $(EXTRALIB_MAKE_ARGS)
	cd ..\winnt

..\libbzip2\bzip2.lib:
	cd ..\libbzip2
	$(MAKE) $(EXTRALIB_MAKE_ARGS)
	cd ..\winnt
	
clean-zlib:
	cd ..\libz
	$(MAKE) $(EXTRALIB_MAKE_ARGS) clean
	cd ..\winnt
	
clean-pcre:
	cd ..\libpcre
	$(MAKE) $(EXTRALIB_MAKE_ARGS) clean
	cd ..\winnt
	
clean-bzip2:
	cd ..\libbzip2
	$(MAKE) $(EXTRALIB_MAKE_ARGS) clean
	cd ..\winnt
	
clean-libs: clean-zlib clean-pcre clean-bzip2

setedit.exe: $(EXTRA_LIBS) $(EDITOR_OBJS) 
	$(LD) $(LDFLAGS) -esetedit $(EDITOR_OBJS) $(EXTRA_LIBS) $(TV_LIB)

install: setedit.exe doc
	echo dummy >a.exe
	xcopy /I *.exe $(DEST_BIN_DIR)
	-del a.exe
	-del $(DEST_BIN_DIR)\a.exe
	xcopy /I /S /E ..\cfgfiles\*.* $(DEST_SET_DIR)
	cd ..\doc
	make -f Makefile.bcc DEST_SET_DIR=$(DEST_SET_DIR) install
	cd ..\winnt

doc:
	cd ..\doc
	make -f Makefile.bcc
	cd ..\winnt

clean-doc:
	cd ..\doc
	make -f Makefile.bcc clean
	cd ..\winnt

clean:
	-del objs\*.obj
	-del *.exe
	-del *.obj
	-del *.lib
	-del *.tds
	
clean-all: clean clean-libs clean-doc

=== setedit/makes/Makefile ===
srcdir=.
VPATH=$(srcdir)

.PHONY: editor

include rhide.env

ifneq ($(strip $(DJDIR)),)
export editor_OS:=DJGPP
endif

# If not DOS then just Linux, no other supported by now
ifeq ($(strip $(editor_OS)),)
export editor_OS:=Linux
endif

# Enable the .imk and .umk maintainance only in "maintainer mode"
ifdef MAINTAINER_MODE
MAKES_TARGET=makes
else
MAKES_TARGET=
endif

# That's the default target
editor: $(MAKES_TARGET)
	$(MAKE) -f editor.mkf

###########################################################################
#                                                                         #
#            Rules to generate makefiles from RHIDE's projects            #
#                                                                         #
###########################################################################

main_targets=editor infview libset install sdgcline testeasy
editorprjs=$(main_targets) amp3 easydiag extra inffd librhuti settv
mp3_targets=../mp3/libamp/libamp ../mp3/mpegsound/mpegsnd
allprjs=$(editorprjs) $(mp3_targets)

# The list of "targets"
mkfs_list=$(main_targets) $(mp3_targets)
# Makefiles for them
mkfs_files=$(addsuffix .mkf,$(mkfs_list))
# Dependencies for them
imks_files=$(addsuffix .imk,$(mkfs_list))

# Tool to extract dependencies
extrimk.exe: extrimk.cc
	$(RHIDE_GXX) -o $@ $< $(STDCPP_LIB)

# Tool to create temporal .mak files and call  extrimk
genimk.exe: genimk.cc extrimk.exe
	$(RHIDE_GXX) -o $@ $< $(STDCPP_LIB)

# Main project, the editor
editor.imk: editor.gpr amp3.gpr easydiag.gpr extra.gpr inffd.gpr librhuti.gpr \
	settv.gpr genimk.exe extrimk.exe
	@./genimk.exe $@ $^

# InfView project
infview.imk: infview.gpr easydiag.gpr librhuti.gpr settv.gpr genimk.cc extrimk.cc
	@./genimk.exe $@ $^

# LibSET for RHIDE
libset.imk: libset.gpr easydiag.gpr extra.gpr settv.gpr genimk.cc extrimk.cc
	@./genimk.exe $@ $^

# DOS Installer
install.imk: install.gpr easydiag.gpr genimk.cc extrimk.cc
	@./genimk.exe $@ $^

# Command line version of sdg, not fully maintained
sdgcline.imk: sdgcline.gpr genimk.cc extrimk.cc
	@./genimk.exe $@ $^

# EasyDiag example/test, not fully maintained
testeasy.imk: testeasy.gpr easydiag.gpr settv.gpr genimk.cc extrimk.cc
	@./genimk.exe $@ $^

# LibAMP
../mp3/libamp/libamp.imk: ../mp3/libamp/libamp.gpr genimk.cc extrimk.cc
	@./genimk.exe $@ $^

# LibMPEGSound (splay)
../mp3/mpegsound/mpegsnd.imk: ../mp3/mpegsound/mpegsnd.gpr genimk.cc extrimk.cc
	@./genimk.exe $@ $^

makes: extrimk.exe genimk.exe $(mkfs_files) $(imks_files)

###########################################################################
#                                                                         #
#            Clean targets                                                #
#                                                                         #
###########################################################################

clean:
	rm -f *.imk *.bak *.bkp

clean-o:
	rm -f obj*/*.o

clean-docs:
	cd ../doc; make clean-docs; cd ../makes

infview: $(MAKES_TARGET)
	$(MAKE) -f infview.mkf

libset: $(MAKES_TARGET)
	$(MAKE) -f libset.mkf

ifeq ($(editor_OS),DJGPP)
scrnsave:
	$(MAKE) -C ../scrnsave

distrib-all: distrib distrib-infview installer

distrib: editor scrnsave
	cd djgpp; compress.bat $(EXTRA_INS_OPS) ; cd ..

distrib-infview: infview
	cd djgpp; perl compinf.pl $(EXTRA_INS_OPS) ; cd ..

distrib-source:
	cd djgpp; compress.bat --only-source $(EXTRA_INS_OPS) ; cd ..

installer: distrib
	$(MAKE) -f install.mkf
	cd ../install; perl create.pl; cd ..

#
# Installation prefix: MPREFIX, mprefix or DJDIR
#
ifneq ($(strip $(MPREFIX)),)
inst_prefix=$(MPREFIX)
else
 ifneq ($(strip $(mprefix)),)
 inst_prefix=$(mprefix)
 else
 inst_prefix=$(DJDIR)
 endif
endif

install: editor
	cd djgpp; compress.bat $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install; cd ..

install-infview: infview
	cd djgpp; perl compinf.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install; cd ..

else
#
# Installation prefix: MPREFIX, mprefix or /usr
#
ifneq ($(strip $(MPREFIX)),)
inst_prefix=$(MPREFIX)
else
 ifneq ($(strip $(mprefix)),)
 inst_prefix=$(mprefix)
 else
 inst_prefix=/usr
 endif
endif

distrib: editor
	cd linux; perl ./compress.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --fhs $(SET_USE_FHS); cd ..
   
distrib-infview: infview
	cd linux; perl ./compinf.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --fhs $(SET_USE_FHS); cd ..

distrib-source:
	cd linux; perl ./compress.pl --only-source $(EXTRA_INS_OPS) ; cd ..

install: editor
	cd linux; perl ./compress.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install --fhs $(SET_USE_FHS); cd ..

install-infview: infview
	cd linux; perl ./compinf.pl $(EXTRA_INS_OPS) --prefix $(inst_prefix) --install --fhs $(SET_USE_FHS); cd ..
endif

=== setedit/debian/changelog ===
setedit (0.5.8-2) stable; urgency=medium

  * To compile with TV 2.2.2

 -- Salvador Eduardo Tropea <salvador@inti.gov.ar>  Mon, 31 Jul 2017 11:05:44 -0300

setedit (0.5.8-1) stable; urgency=medium

  * Support for AMD64 target.

 -- Salvador Eduardo Tropea <salvador@inti.gov.ar>  Thu, 17 Nov 2016 15:27:35 -0300

setedit (0.5.7-5) stable; urgency=low

  * Fixed: Wheeze compilation details.

 -- Salvador Eduardo Tropea <set@ieee.org>  Tue, 02 Jun 2015 13:14:30 -0300

setedit (0.5.7-4) unstable; urgency=low

  * Fixed: spaces after autoindent and move.

 -- Salvador Eduardo Tropea <set@ieee.org>  Fri, 22 Jun 2012 13:11:43 -0300

setedit (0.5.7-3) unstable; urgency=low

  * Squeeze release. 

 -- Salvador E. Tropea <set@ieee.org>  Mon, 06 Jun 2011 10:01:47 -0300

setedit (0.5.7-2) unstable; urgency=low

  * Fixed: TV version dependency.

 -- Salvador E. Tropea <set@ieee.org>  Wed, 14 Jul 2010 10:33:17 -0300

setedit (0.5.7-1) unstable; urgency=low

  * Added: control pipe (-C)

 -- Salvador E. Tropea <set@ieee.org>  Mon, 05 Jul 2010 15:52:43 -0300

setedit (0.5.6-1) unstable; urgency=low

  * Added: gdb start and connection files to insert gdb commands.

 -- Salvador E. Tropea <set@ieee.org>  Fri, 25 Sep 2009 12:00:41 -0300

setedit (0.5.5-8) unstable; urgency=low

  * Modified to compile on Lenny (now stable)

 -- Salvador E. Tropea <set@ieee.org>  Thu, 26 Feb 2009 16:20:28 -0200

setedit (0.5.5-7) unstable; urgency=low

  * Undo changes made by Salvador which where the removal of the suggests of
    doc-base and addition of suggests of gqview, glibc-doc, xpdf and grep. If
    the editor can use xpdf, gqview and grep please tell me and I will add
    them again.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Wed, 27 Aug 2008 21:47:59 -0300

setedit (0.5.5-6) unstable; urgency=low

  * Added XBS-Bugs: mailto:ibaldo@adinet.com.uy fields to the control file
    so that reportbug sends bug reports to me instead of the Debian Bug
    Tracking System.
  * Bumped Standards-Version to 3.7.2.2, no changes.
  * Don't allow to build with rhtvision 2.0.4 anymore, I don't know if it works
    and is not recommended anyway.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Tue, 08 May 2007 17:18:45 -0300

setedit (0.5.5-5etch) unstable; urgency=low

  * Added: Copy and Save for the debug dialog contents (gdb dialog).

 -- Salvador E. Tropea <salvador@inti.gov.ar>  Mon, 23 Apr 2007 11:57:50 -0300

setedit (0.5.5-4etch) unstable; urgency=low

  * Modified to compile with etch. 

 -- Salvador E. Tropea <salvador@inti.gov.ar>  Wed, 18 Apr 2007 17:04:18 -0300

setedit (0.5.5-3) unstable; urgency=low

  * Build-depend either on aalib1-dev or libaa1-dev.

 -- Baurzhan Ismagulov <ibr@radix50.net>  Sat, 10 Mar 2007 23:19:51 +0100

setedit (0.5.5-2) unstable; urgency=low

  * CVS 20061116 r1236 pre-release.

 -- Salvador E. Tropea <salvador@inti.gov.ar>  Thu, 16 Nov 2006 14:17:03 -0300

setedit (0.5.5-1) unstable; urgency=low

  * The "I got ADSL 256kbits for 30 hours per month!" release; you may laugh
    at that but I live in the 3rd world, previously I was using a 56Kbits
    telephone modem.
  * Salvador didn't told in this changelog but we are build-depending on
    RHTVision 2.0.4 now, but I changed it to that version or 2.1.0 since it
    seems that it works with both of them.
  * Don't build-depend on xlibs-dev|xlib6g-dev and libncurses-dev, since
    rhtvision-dev depends on them and they are really rhtvision's dependencies
    and not of setedit proper.
  * Standards compliance with Policy version 3.6.2.0.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Sat, 20 Aug 2005 18:53:21 -0300

setedit (0.5.5-0.1) unstable; urgency=low

  * New version automatically modified by version update scripts

 -- Salvador E. Tropea (SET) <salvador@inti.gov.ar>  Wed,  1 Dec 2004 14:22:21 -0300

setedit (0.5.4-3) unstable; urgency=low

  * Salvador says this is it!, this is the version that will be officially
    released! CVS release 1.637 2004/11/02 20:19:01.
    Greetings to all my fans!!! (do I have one?) Anyway, I dedicate this
    release to Enyunari!!!
  * I have installed libmigdb so this editor comes with debugging support
    built-in.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Sun, 21 Nov 2004 18:02:18 -0200

setedit (0.5.4-2) unstable; urgency=low

  * A new version of Lintian detected that we are build depending on essential
    packages so I have removed them: tar and gzip.
  * The new lintian also detected that we are suggesting grep which it is an
    essential package too, so removed from the Suggests.
  * Lintian also detected that this changelog is not UTF-8, to fix it I will
    not use international characters instead of using UTF-8 for simplicity.

 -- Ivan Baldo <ibaldo@adinet.com.uy>  Sun, 10 Oct 2004 19:02:40 -0200

setedit (0.5.4-1) unstable; urgency=low

  * New upstream version!!!
  * Based on CVS version 1.617 2004/09/24 18:59:51.
  * Baurjan Ismagulov didn't updated this changelog to mention that he added a
    libset-dev package, so I mention it here; it is useful to build RHIDE.
    Thanks Baurjan for your work!
    Note: this package must be improved, I think that the aproach should be
    the same as rhtvision having the version in the package name and
    conflicting with a virtual package, and I think that the upstream has a
    configure option to build it so we must investigate and maybe improve it
    to suit our needs, also the generated libs are huge so maybe there is
    something that we are doing wrong; for this reasons I will not upload
    this package yet.
  * Standards compliance with Policy version 3.6.1.0, no changes.
  * The new version of the editor has support for debugging programs with GDB
    using a library done by Salvador called libmigdb, though it doesn't come
    in the same CVS module as the editor, Salvador says it will come in the
    tarball and the editor will use it. I didn't test it for this version but
    I will and then I will upload packages with debugging support included.


=== setedit/debian/control ===
Source: setedit
Section: editors
Priority: optional
Maintainer: Ivan Baldo <ibaldo@adinet.com.uy>
Build-Depends: perl | perl5, rhtvision2.2.1-dev | rhtvision2.2.2-dev, debhelper (>=2.0.54), libpcre3-dev | libpcre2-dev, libz-dev, libbz2-dev, texinfo, gettext, libaa1-dev | aalib1-dev
Standards-Version: 3.7.2.2

Package: setedit
Section: editors
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, debconf
Recommends: man
Suggests: doc-base, texinfo, exuberant-ctags | ctags
Conflicts: suidmanager (<< 0.50)
XB-Bugs: mailto:ibaldo@adinet.com.uy
Description: SET's Editor - An editor for programmers
 SET's Editor is a friendly text editor; it was designed to be used
 by programmers; the main target of the editor is C and C++ code but
 it can be used for other tasks and supports syntax highlight for
 more than 47 languages. It has a user interface very easy to
 understand for people that used non-UNIX programs (real windows,
 dialogs, buttons, pull-down menues, mouse, etc.).
 .
 Note from Debian packager: if you aren't a programmer take a look
 at this editor anyway, it is really user friendly, easy to use yet
 powerful. Also, it has syntax highlight for a lot of files, macros,
 pseudo macros, and a lot more features.
 .
 THIS IS NOT A DEBIAN OFFICIAL PACKAGE AND IS NOT PART OF THE OFFICIAL
 DEBIAN DISTRIBUTION.

Package: infview
Section: doc
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}
Recommends: man
Suggests: doc-base
Conflicts: suidmanager (<< 0.50)
XB-Bugs: mailto:ibaldo@adinet.com.uy
Description: SET's InfoViewer - An info documentation browser
 SET's InfoViewer is a friendly text-console-mode GNU Info documentation
 browser. This is the SET's Editor info browser but standalone.
 .
 THIS IS NOT A DEBIAN OFFICIAL PACKAGE AND IS NOT PART OF THE OFFICIAL
 DEBIAN DISTRIBUTION.
 
Package: libset-dev
Section: libdevel
Architecture: any
XB-Bugs: mailto:ibaldo@adinet.com.uy
Description: SET's libset - An editor library
 SET's libset is a library providing the SET's Editor functionality, it is
 used to build RHIDE but maybe in the future can be used by other projects.
 At the moment, only static version is shipped, because upstream doesn't care
 about sonames and versions as to be able to ship a shared version.
 .
 THIS IS NOT A DEBIAN OFFICIAL PACKAGE AND IS NOT PART OF THE OFFICIAL
 DEBIAN DISTRIBUTION.

=== setedit/debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=5

# Set CFLAGS according to the Debian Policy:
CFLAGS = -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
CXXFLAGS = $(CFLAGS)


# Compile the beast!:
build: build-stamp
build-stamp: debianbackup.tar
	dh_testdir
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" ./configure \
		--prefix=$(shell pwd)/debian/tmp/usr --fhs --no-comp-exe
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(MAKE) -j `nproc`
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" $(MAKE) -j `nproc` -C makes libset
	touch build-stamp


# Clean everything as if nothing happened :) :
clean: clean-debian debianbackup.tar
# Heh, for cleaning we need to run the configure script in order to create
# the makefile that cleans! :-)))
	./configure
	$(MAKE) clean
# Restore upstream provided regenerated files:
	test -e debianbackup.tar && tar -xf debianbackup.tar
	rm -f debianbackup.tar
# FIXME: ask upstream about adding the next files to his clean target:
	rm -f internac/fix.exe internac/gr.po internac/po_list \
		internac/getcolors.exe internac/potfiles.po internac/de.mo \
		internac/es.mo holidays/Makefile redhat/setedit-*.*.spec \
		gettext/Makefile libbzip2/Makefile libpcre/Makefile libz/Makefile \
		makes/rhide.env mp3/libamp/rhide.env mp3/mpegsound/rhide.env
# Don't delete this files (they are on the tarball but not on CVS):
#		doc/Makefile internac/Makefile

# Use the following target when you just want for example to rebuild the
# package without recompiling the sources:
clean-debian:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean


# Let's backup modified files to restore them later!:
debianbackup.tar:
	dh_testdir
# Backup upstream provided regenerated files:
	-tar -cf debianbackup.tar --files-from=debian/files_to_backup


# Copy needed files to the temporary directories for the packages:
install: build
	dh_testdir
	dh_testroot
	dh_clean
#   dh_installdirs
# Add here commands to install the package into debian/tmp.
	$(MAKE) install
# We need to move files for other packages than the first one in the control file:
	dh_movefiles -p infview usr/bin/infview usr/share/doc/infview/ usr/share/infview/ usr/share/man/man1/infview.1.gz
# I don't know why dh_movefiles doesn't remove the directories I requested for moving to the infview package, so I move them by hand (anyway I don't know why that command exists in the first place!):
	rm -rf debian/tmp/usr/share/doc/infview/ debian/tmp/usr/share/infview/
	mv debian/tmp/usr/share/doc/setedit/change.log.gz \
		debian/tmp/usr/share/doc/setedit/changelog.gz
	cp debian/tmp/usr/share/doc/setedit/changelog.gz \
		debian/infview/usr/share/doc/infview/
	dh_link usr/share/man/man1/setedit.1.gz usr/share/man/man1/e.1.gz
	mkdir debian/infview/usr/share/info
	cp debian/tmp/usr/share/info/infview.info.gz debian/infview/usr/share/info/infview.info.gz
	cp debian/README.debian \
		debian/infview/usr/share/doc/infview/README.Debian
# Install libset files:
	mkdir -p debian/libset-dev/usr/include/setedit \
		debian/libset-dev/usr/lib
	tar c \
		calcu/calcu.h \
		include/ceditor.h \
		include/sindicat.h \
		include/tvsetuti.h \
		include/pmcoll.h \
		include/ced_exte.h \
		include/ced_clas.h \
		include/ced_inte.h \
		include/ced_coma.h \
		include/ced_pcre.h \
		include/loadkbin.h \
		include/slpinter.h \
		include/loadshl.h \
		infview/include/inf.h \
		infview/include/infbase.h \
		setedit/include/editcoma.h \
		setedit/include/edprint.h \
		settvuti/include/settvuti.h \
		settvuti/include/tstringa.h \
		settvuti/include/sarray.h \
		settvuti/include/setstack.h \
		settvuti/include/tnocastc.h \
		settvuti/include/viewplus.h \
		settvuti/include/tinppipe.h \
		settvuti/include/edhists.h \
		|tar xC debian/libset-dev/usr/include/setedit
	cp makes/libset.a makes/libeasyd.a makes/libsettv.a \
		debian/libset-dev/usr/lib
	chmod 4755 debian/tmp/usr/bin/setedit
	dh_movefiles -p setedit usr/

# Build the packages for a specific architecture:
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
#	dh_installcron
#	dh_installmanpages
#	dh_undocumented e.1 setedit.1
	dh_installchangelogs
	dh_strip -Xlibset.a -Xlibeasyd.a -Xlibsettv.a
	dh_compress
	dh_fixperms
	chmod 4755 debian/infview/usr/bin/infview
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -p setedit
	dh_gencontrol -p infview -- -v$$(cat infview/version.txt)-$$(cat version.txt)-$$(head -n1 debian/changelog | sed 's/.* (.*-//' | sed 's/) .*//')
	dh_gencontrol -p libset-dev
#	dh_makeshlibs  This is for libraries.
	dh_md5sums
	dh_builddeb


# Build architecture-independent files here.
binary-indep: build install
#This package doesn't have architecture-independent files for the moment...

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

# Build all the packages:
binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary clean-debian
